//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DataSetConceptType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="DataSetConceptType"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="group"/&gt;
 *     &lt;enumeration value="item"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "DataSetConceptType")
@XmlEnum
public enum DataSetConceptType {


    /**
     * Gruppe von Dataset-Items
     * 
     */
    @XmlEnumValue("group")
    GROUP("group"),

    /**
     * Dataset-Item
     * 
     */
    @XmlEnumValue("item")
    ITEM("item");
    private final String value;

    DataSetConceptType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DataSetConceptType fromValue(String v) {
        for (DataSetConceptType c: DataSetConceptType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
